Page MenuHomePhabricator

Update sans-serif font stack to use system typefaces on www.wikipedia.org portal
Closed, ResolvedPublic

Description

Similar to T175877, we would like to bring a good mobile reading experience to our wide audience and its range in languages.

Therefore proposing use of system typefaces on Portal as well. See linked task and Audiences Design Project “Improve mobile reading experience” for more information.

Event Timeline

Volker_E created this task.Feb 22 2019, 4:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2019, 4:09 AM
Restricted Application added a project: UI-Standardization. · View Herald TranscriptFeb 22 2019, 5:46 AM

Change 492235 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[wikimedia/portals@master] Use system sans-serif font stack

https://gerrit.wikimedia.org/r/492235

ovasileva triaged this task as Normal priority.Feb 25 2019, 11:54 AM
Jdlrobson added subscribers: ovasileva, Jdlrobson.

@ovasileva we chatted about this today. We're not really sure what is needed from our team other than merging Volker's patch when it's ready to land. If it needs QA and sign off, let us know otherwise I think we can move this to tracking.

Change 492235 merged by jenkins-bot:
[wikimedia/portals@master] Use system sans-serif font stack

https://gerrit.wikimedia.org/r/492235

From my point of view QA is definitely useful as another verification. We've tested in a wide variety of major devices/OS, nonetheless adding another look for example on more esoteric browse/OSs combinations like Windows mobile, Firefox/Android, UC browser or Amazon silk would make sense.

From my point of view QA is definitely useful as another verification. We've tested in a wide variety of major devices/OS, nonetheless adding another look for example on more esoteric browse/OSs combinations like Windows mobile, Firefox/Android, UC browser or Amazon silk would make sense.

This sounds good. @Volker_E - do you think you can add some concrete instructions for QA from the task and we can take a look from our side once merged.

Jdrewniak renamed this task from Update sans-serif font stack to use system typefaces to Update sans-serif font stack to use system typefaces on www.wikipedia.org portal.Mar 4 2019, 12:00 PM

FYI I deployed this change today (Monday, March 4 2019) and IMO I think it looks pretty good!
The font-change on Mac/iOS/Android is very subtle, but I think the changes on Windows (from Arial to Segoe UI) and on Linux is more noticeable.

before (Windows 10)after (windows 10)
before (Ubuntu 18)after (Ubuntu 18)
Volker_E closed this task as Resolved.Apr 17 2019, 6:49 AM
Volker_E moved this task from Doing… to Done on the UI-Standardization-Kanban board.
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.